function Q = getGammaquant(q,eta,zbar,distributionType)

if isequal(distributionType,1)
    P = (1-gamcdf(zbar,eta,1/eta))*q + gamcdf(zbar,eta,1/eta);
    Q = gaminv(P,eta,1/eta);
elseif isequal(distributionType,2)
    zbar=max(zbar,1-1/eta);
    Q = zbar*(1-q).^(-1/eta);
end

end
