function out = getLossExp2(zGrid0,Nz0,lambda,chi,mu,eta,b,delta,uTarget,k,distributionType)

% Display parameter values
if k==0
    disp([lambda chi mu eta b delta])
end

% Compute aggregates
[zbar wbar zGrid vGrid wGrid] = getEQ(zGrid0,Nz0,lambda,chi,mu,eta,b,delta,distributionType);
[lsAgg lsAvg opCov u JDC JDD JCC JCB JC JD JR JRC JRBD rho lp9590 lp9050 lp5010 lp9010] = getModelOutputAgg(lambda,chi,mu,eta,b,delta,zbar,zGrid,vGrid,wGrid,distributionType);
% [wMean passthroughOLS passthroughWeightedElast varLp lsQuint yShareQuint nShareQuint lpQuint gammaGrid gammaGridInt pGridInt gamma0Grid pGrid gGrid lpGrid lsGrid] = getModelOutputMisc(lambda,chi,mu,eta,b,delta,zbar,zGrid,vGrid,wGrid,distributionType);

% Data and model moments
momentsData = [100*uTarget 1.5468+0.23];
momentsModel = [100*u lp9010];

% Output
if k == 0
    out = 1e6*sum((momentsModel-momentsData).^2);
else
    out = [momentsModel ; momentsData ];
end    
    
end

