function out = getLoss(zGrid0,Nz0,lambda,chi,mu,eta,b,delta,k,distributionType)

% Display parameter values
if k==0
    disp([lambda chi mu eta b delta])
end

% Compute aggregates
[zbar wbar zGrid vGrid wGrid] = getEQ(zGrid0,Nz0,lambda,chi,mu,eta,b,delta,distributionType);
[lsAgg lsAvg opCov u JDC JDD JCC JCB JC JD JR JRC JRBD rho lp9590 lp9050 lp5010 lp9010] = getModelOutputAgg(lambda,chi,mu,eta,b,delta,zbar,zGrid,vGrid,wGrid,distributionType);

% Data and model moments
momentsData = [0.0612 0.0193 0.0669 0.0160 0.0713 0.8102 1.5468];
momentsModel = [JCC JCB JDC JDD u rho lp9010];

%momentsData = [0.0612 0.0193 0.0669 0.0160 0.0713 0.8102 0.809 0.737 0.260];
%momentsModel = [JCC JCB JDC JDD u 1-rho lp5010 lp9050 lp9590];

% Output
if k == 0
    out = sum((momentsModel-momentsData).^2);
else
    out = [momentsModel ; momentsData ];
end    
    
end

