function out = getLossEV(zGrid0,Nz0,chiEV,muEV,etaEV,bEV,deltaEV,thetaEV,lambdaBarEV,k,distributionType)

% Display parameter values
if k==0
    disp([lambdaBarEV chiEV muEV etaEV bEV deltaEV thetaEV])
end

% Compute aggregates
[lsAgg lsAvg opCov u JDC JDD JCC JCB JC JD JR JRC JRBD rho lp9010 passthroughOLS varlogw] = getEVModelOutput(zGrid0,Nz0,chiEV,muEV,etaEV,bEV,deltaEV,thetaEV,lambdaBarEV,distributionType);

% Data and model moments
momentsData = [0.0612 0.0193 0.0669 0.0160 0.0713 0.8102 1.5468];
momentsModel = [JCC JCB JDC JDD u rho lp9010];

% Output
if k == 0
    out = sum((momentsModel-momentsData).^2);
else
    momentsData = [0.0612 0.0193 0.0669 0.0160 0.0713 0.8102 1.5468];
    momentsModel = [JCC JCB JDC JDD u rho lp9010];
    out = [momentsModel ; momentsData ];
end    
    
end

