function out = getLossEVexp2(zGrid0,Nz0,chiEV,muEV,etaEV,bEV,deltaEV,thetaEV,lambdaBarEV,uTarget,k,distributionType)

% Display parameter values
if k==0
    disp([lambdaBarEV chiEV muEV etaEV bEV deltaEV thetaEV])
end

% Compute aggregates
[lsAggEV lsAvgEV opCovEV uEV JDCEV JDDEV JCCEV JCBEV JCEV JDEV JREV JRCEV JRBDEV rhoEV lp9010EV passthroughOLSEV varlogwEV DHFslopeEV] = getEVModelOutput(zGrid0,Nz0,chiEV,muEV,etaEV,bEV,deltaEV,thetaEV,lambdaBarEV,distributionType);

% Data and model moments
momentsData = [100*uTarget 1.5468+0.23];
momentsModel = [100*uEV lp9010EV];

% Output
if k == 0
    out = sum((momentsModel-momentsData).^2);
else
    out = [momentsModel ; momentsData ];
end    
    
end

